public class CadUnderlay extends CadBaseExtrudedEntity
Class describing CadUnderlay
Constructor and Description |
---|
CadUnderlay()
Initializes a new instance of the
CadUnderlay class. |
Modifier and Type | Method and Description |
---|---|
String |
getAcDbUnderlayDefinitionObjectId()
Gets or sets the ac database underlay definition object identifier.
|
short |
getContrast()
Gets or sets the contrast.
|
Cad3DPoint |
getExtrusionDirection()
Gets or sets the extrusion direction.
|
short |
getFade()
Gets or sets the fade.
|
int |
getFlags()
Gets or sets the flags.
|
Cad3DPoint |
getInsertionPoint()
Gets or sets the insertion point .
|
List<Cad2DPoint> |
getPoints2d()
Gets or sets the points2d.
|
double |
getRotationAngle()
Gets or sets the rotation angle.
|
double |
getScaleX()
Gets or sets the scale x.
|
double |
getScaleY()
Gets or sets the scale y.
|
double |
getScaleZ()
Gets or sets the scale z.
|
String |
getUnderlayName()
Gets or sets the name of the underlay.
|
String |
getUnderlayPath()
Gets or sets the underlay path.
|
void |
setAcDbUnderlayDefinitionObjectId(String value)
Gets or sets the ac database underlay definition object identifier.
|
void |
setContrast(short value)
Gets or sets the contrast.
|
void |
setExtrusionDirection(Cad3DPoint value)
Gets or sets the extrusion direction.
|
void |
setFade(short value)
Gets or sets the fade.
|
void |
setFlags(int value)
Gets or sets the flags.
|
void |
setInsertionPoint(Cad3DPoint value)
Gets or sets the insertion point .
|
void |
setPoints2d(List<Cad2DPoint> value)
Gets or sets the points2d.
|
void |
setRotationAngle(double value)
Gets or sets the rotation angle.
|
void |
setScaleX(double value)
Gets or sets the scale x.
|
void |
setScaleY(double value)
Gets or sets the scale y.
|
void |
setScaleZ(double value)
Gets or sets the scale z.
|
void |
setUnderlayName(String value)
Gets or sets the name of the underlay.
|
void |
setUnderlayPath(String value)
Gets or sets the underlay path.
|
getBounds, getChildObjects, getColorId, getColorName, getColorValue, getEntmode, getHyperlink, getLayerName, getLayoutTabName, getLineScale, getLineTypeName, getLineWeight, getLType, getMaterial, getMaterialHandle, getNumreactors, getPlotStyle, getPlotStyleFlag, getProxyBytesCount, getProxyData, getShadowMode, getSpaceMode, getStorageFlag, getTransparency, getTypeName, getVisible, getXDirMissingFlag, isByLayer, isNoLinks, setBounds, setByLayer, setChildObjects, setColorId, setColorName, setColorValue, setEntmode, setHyperlink, setLayerName, setLayoutTabName, setLineScale, setLineTypeName, setLineWeight, setLType, setMaterial, setMaterialHandle, setNoLinks, setNumreactors, setPlotStyle, setPlotStyleFlag, setProxyBytesCount, setProxyData, setShadowMode, setSpaceMode, setStorageFlag, setTransparency, setVisible, setXDirMissingFlag
getHardOwner, getSoftOwner, isSoftOwnerSet, setHardOwner, setSoftOwner
getApplicationCodesContainer, getAttribute102Values, getAttributes, getEmbeddedObjectsContainer, getObjectHandle, getXdataContainer, setApplicationCodesContainer, setAttribute102Values, setAttributes, setEmbeddedObjectsContainer, setObjectHandle, setXdataContainer
public CadUnderlay()
Initializes a new instance of the CadUnderlay
class.
public Cad3DPoint getExtrusionDirection()
Gets or sets the extrusion direction.
getExtrusionDirection
in class CadBaseExtrudedEntity
public void setExtrusionDirection(Cad3DPoint value)
Gets or sets the extrusion direction.
setExtrusionDirection
in class CadBaseExtrudedEntity
public final String getAcDbUnderlayDefinitionObjectId()
Gets or sets the ac database underlay definition object identifier.
public final void setAcDbUnderlayDefinitionObjectId(String value)
Gets or sets the ac database underlay definition object identifier.
value
- The ac database underlay definition object identifier.public final short getContrast()
Gets or sets the contrast.
public final void setContrast(short value)
Gets or sets the contrast.
value
- The contrast.public final short getFade()
Gets or sets the fade.
public final void setFade(short value)
Gets or sets the fade.
value
- The fade.public final List<Cad2DPoint> getPoints2d()
Gets or sets the points2d.
public final void setPoints2d(List<Cad2DPoint> value)
Gets or sets the points2d.
value
- The points2d.public final Cad3DPoint getInsertionPoint()
Gets or sets the insertion point .
public final void setInsertionPoint(Cad3DPoint value)
Gets or sets the insertion point .
value
- The insertion point.public final double getRotationAngle()
Gets or sets the rotation angle.
public final void setRotationAngle(double value)
Gets or sets the rotation angle.
value
- The rotation angle.public final String getUnderlayPath()
Gets or sets the underlay path.
public final void setUnderlayPath(String value)
Gets or sets the underlay path.
value
- The underlay path.public final String getUnderlayName()
Gets or sets the name of the underlay.
public final void setUnderlayName(String value)
Gets or sets the name of the underlay.
value
- The name of the underlay.public final double getScaleX()
Gets or sets the scale x.
public final void setScaleX(double value)
Gets or sets the scale x.
public final double getScaleY()
Gets or sets the scale y.
public final void setScaleY(double value)
Gets or sets the scale y.
public final double getScaleZ()
Gets or sets the scale z.
public final void setScaleZ(double value)
Gets or sets the scale z.
public final int getFlags()
Gets or sets the flags.
public final void setFlags(int value)
Gets or sets the flags.
value
- The flags.